Loading...
Searching...
No Matches
Opm::Accelerator::Matrix< Scalar > Class Template Reference

This struct resembles a csr matrix, only doubles are supported The data is stored in contiguous memory, such that they can be copied to a device in one transfer. More...

`#include <Matrix.hpp>`

## Public Member Functions

| Matrix (int N_, int nnzs_)
| Allocate square Matrix and data arrays with given sizes.
| Matrix (int N_, int M_, int nnzs_)
| Allocate rectangular Matrix and data arrays with given sizes.

## Public Attributes

std::vector< Scalar > | nnzValues
std::vector< int > | colIndices
std::vector< int > | rowPointers
int | N
int | M
int | nnzs

## Detailed Description

template<class Scalar>
class Opm::Accelerator::Matrix< Scalar >

This struct resembles a csr matrix, only doubles are supported The data is stored in contiguous memory, such that they can be copied to a device in one transfer.

## Constructor & Destructor Documentation

## Matrix() [1/2]

template<class Scalar>

Opm::Accelerator::Matrix< Scalar >::Matrix | ( | int | N_,
|  | int | nnzs_ )

inline

Allocate square Matrix and data arrays with given sizes.

Parameters

  [in] | N_ | number of rows
  [in] | nnzs_ | number of nonzeros

## Matrix() [2/2]

template<class Scalar>

Opm::Accelerator::Matrix< Scalar >::Matrix | ( | int | N_,
|  | int | M_,
|  | int | nnzs_ )

inline

Allocate rectangular Matrix and data arrays with given sizes.

Parameters

  [in] | N_ | number of rows
  [in] | M_ | number of columns
  [in] | nnzs_ | number of nonzeros

The documentation for this class was generated from the following file:

- opm/simulators/linalg/gpubridge/Matrix.hpp